local EMPTY_POTION = 7636
 
local combat = createCombatObject()
setCombatParam(combat, COMBAT_PARAM_EFFECT, CONST_ME_MAGIC_BLUE)
setCombatParam(combat, COMBAT_PARAM_TARGETCASTERORTOPMOST, true)
setCombatParam(combat, COMBAT_PARAM_AGGRESSIVE, false)
setCombatParam(combat, COMBAT_PARAM_DISPEL, CONDITION_POISON)
 
local exhaust = createConditionObject(CONDITION_EXHAUST)
setConditionParam(exhaust, CONDITION_PARAM_TICKS, getConfigInfo('timeBetweenExActions'))
 
function onUse(cid, item, fromPosition, itemEx, toPosition)
	if isPlayer(itemEx.uid) then
		if(hasCondition(cid, CONDITION_EXHAUST)) then
			doPlayerSendDefaultCancel(cid, RETURNVALUE_YOUAREEXHAUSTED)
			return true
		end
 
		if(not doCombat(cid, combat, numberToVariant(itemEx.uid))) then
			return false
		end
 
		doAddCondition(cid, exhaust)
		doCreatureSay(itemEx.uid, "Aaaah...", TALKTYPE_ORANGE_1)
		doCreateItem(EMPTY_POTION, 1, fromPosition)
	else
		doDecayItem(doCreateItem(2016, 1, (toPosition.x == CONTAINER_POSITION or (toPosition.x == 0 and toPosition.y == 0 and toPosition.z == 0)) and getThingPos(cid) or toPosition))
		doPlayerAddItem(cid, 7636, 1)
	end
 
	doChangeTypeItem(item.uid, item.type - 1)
	if(fromPosition ~= CONTAINER_POSITION) then
		doPlayerAddItem(cid, 7636, 1)
	else
		doPlayerAddItem(cid, 7636, 1)
	end
 
	return true
end