local condition = createConditionObject(CONDITION_ATTRIBUTES)
local conditionx = createConditionObject(CONDITION_DRUNK)

setConditionParam(condition, CONDITION_PARAM_TICKS, 10 * 60 * 1000) 
setConditionParam(condition, CONDITION_PARAM_SKILL_DISTANCE, 5) 
setConditionParam(condition, CONDITION_PARAM_SKILL_AXE, 5) 
setConditionParam(condition, CONDITION_PARAM_SKILL_SWORD, 5) 
setConditionParam(condition, CONDITION_PARAM_SKILL_SHIELD, 5) 
setConditionParam(condition, CONDITION_PARAM_SKILL_CLUB, 5) 

setConditionParam(conditionx, CONDITION_PARAM_DELAYED, 1)
setCombatCondition(combat, condition)

function onUse(cid, item, fromPosition, itemEx, toPosition)
    if(not isPlayer(itemEx.uid)) then
        return true
    end

    if(doAddCondition(itemEx.uid, condition)) then
        doSendMagicEffect(getCreaturePosition(itemEx.uid), CONST_ME_MAGIC_RED)
        doRemoveItem(item.uid)
    end

    return true
end  