        -- Annihilator by Shawak v2.1

        -- CONFIG --

                --- <Small fix by Znote> ---
                local SpecialStorageValue = 950731 -- Make sure this value does not mix with any other scripts!
                --- </small fix by Znote> -- 
                
        local room = {     -- room with demons
        fromX = 2200,
        fromY = 1874,
        fromZ = 9,
        --------------
        toX = 2205,
        toY = 1880,
        toZ = 9
        }

        local monster_pos = {
        [1] = {pos = {2201, 1875, 9}, monster = "Demon"},
        [2] = {pos = {2203, 1875, 9}, monster = "Demon"},
        [3] = {pos = {2202, 1879, 9}, monster = "Demon"},
        [4] = {pos = {2204, 1879, 9}, monster = "Demon"},
        [5] = {pos = {2205, 1877, 9}, monster = "Demon"},
        [6] = {pos = {2206, 1877, 9}, monster = "Demon"}
        }

        local players_pos = {
        {x = 2182, y =1869, z = 9, stackpos = 253},
        {x = 2183, y =1869, z = 9, stackpos = 253},
        {x = 2184, y =1869, z = 9, stackpos = 253},
        {x = 2185, y =1869, z = 9, stackpos = 253}
        }

        local new_player_pos = {
        {x = 2201, y = 1877, z = 9},
        {x = 2202, y = 1877, z = 9},
        {x = 2203, y = 1877, z = 9},
        {x = 2204, y = 1877, z = 9}
        }

        local playersOnly = "yes"
        local questLevel = 100

        ------------------------------------------------------
        --- CONFIG END ---------------------------------------
        ------------------------------------------------------

function onUse(cid, item, fromPosition, itemEx, toPosition)
        local all_ready, monsters, player, level = 0, 0, {}, 0
        if item.itemid == 1945 then
                for i = 1, #players_pos do
                        table.insert(player, 0)
                end
                for i = 1, #players_pos do
                        player[i] = getThingfromPos(players_pos[i])
                        if player[i].itemid > 0 then
                                if string.lower(playersOnly) == "yes" then
                                        if isPlayer(player[i].uid) == TRUE then
                                                all_ready = all_ready+1
                                        else
                                                monsters = monsters+1
                                        end
                                else
                                        all_ready = all_ready+1
                                end
                        end
                end
                if all_ready == #players_pos then
                        for i = 1, #players_pos do
                                player[i] = getThingfromPos(players_pos[i])
                                if isPlayer(player[i].uid) == TRUE then
                                        if getPlayerLevel(player[i].uid) >= questLevel then
                                                level = level+1
                                        end
                                else
                                        level = level+1
                                end
                        end
                        if level == #players_pos then
                                if string.lower(playersOnly) == "yes" and monsters == 0 or string.lower(playersOnly) == "no" then 
                                        for _, area in pairs(monster_pos) do
                                                        doSummonCreature(area.monster,{x=area.pos[1],y=area.pos[2],z=area.pos[3]})
                                        end
                                                                                queststatus = getPlayerStorageValue(cid,SpecialStorageValue)
                                                                                        if queststatus == -1 or queststatus == 0 then
                                                                                                for i = 1, #players_pos do
                                                                                                        doSendMagicEffect(players_pos[i], CONST_ME_POFF)
                                                                                                                                                                                                                setPlayerStorageValue(cid,SpecialStorageValue,1)
                                                                                                        doTeleportThing(player[i].uid, new_player_pos[i], FALSE)
                                                                                                        doSendMagicEffect(new_player_pos[i], CONST_ME_ENERGYAREA)
                                                                                                        doTransformItem(item.uid,1946)
                                                                                        end
                                                                                else
                                                                                doPlayerSendTextMessage(cid,22,"You have already participated in this quest.")
                                                                        end
                                else
                                        doPlayerSendTextMessage(cid,19,"Only players can do this quest.")
                                end
                        else
                                doPlayerSendTextMessage(cid,19,"All Players have to be level "..questLevel.." to do this quest.")
                        end
                else
                        doPlayerSendTextMessage(cid,19,"You need "..table.getn(players_pos).." players to do this quest.")
                end
        elseif item.itemid == 1946 then
                local player_room = 0
                for x = room.fromX, room.toX do
                        for y = room.fromY, room.toY do
                                for z = room.fromZ, room.toZ do
                                        local pos = {x=x, y=y, z=z,stackpos = 253}
                                        local thing = getThingfromPos(pos)
                                        if thing.itemid > 0 then
                                                if isPlayer(thing.uid) == TRUE then
                                                        player_room = player_room+1
                                                end
                                        end
                                end
                        end
                end
                if player_room >= 1 then
                        doPlayerSendTextMessage(cid,19,"There is already a team in the quest room.")           
                elseif player_room == 0 then
                        for x = room.fromX, room.toX do
                                for y = room.fromY, room.toY do
                                        for z = room.fromZ, room.toZ do
                                                local pos = {x=x, y=y, z=z,stackpos = 253}
                                                local thing = getThingfromPos(pos)
                                                if thing.itemid > 0 then
                                                        doRemoveCreature(thing.uid)
                                                end
                                        end
                                end
                        end
                        doTransformItem(item.uid,1945)
                end
        end
        return TRUE
end