function getLastLoginDiff(name) 
    if type(name) ~= "string" then 
        return name 
    end 
     
    local res = db.getResult("SELECT `lastlogin` FROM `players` WHERE `name` = '"..name.."';") 
    if res:getID() ~= -1 then 
        return os.time()-res:getDataInt('lastlogin') 
    end 
end 

local days = 7

function onStartup() 
    local guild = db.getResult("SELECT `id`, `ownerid` FROM `guilds`;") 
    if guild:getID() == -1 then 
        return true 
    end 
    repeat 
        local id, owner = guild:getDataInt("id"), guild:getDataInt("ownerid") 
        local diff = getLastLoginDiff(getPlayerNameByGUID(owner)) 
        if diff >= 7*24*60*60 then 
            db.executeQuery("DELETE FROM `guilds` WHERE `id` = "..id..";") 
        end 
    until not(guild:next()) 
    guild:free() 
    return true 
end  