local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)

function onCreatureAppear(cid)            npcHandler:onCreatureAppear(cid)        end
function onCreatureDisappear(cid)        npcHandler:onCreatureDisappear(cid)        end
function onCreatureSay(cid, type, msg)        npcHandler:onCreatureSay(cid, type, msg)    end
function onThink()                npcHandler:onThink()                end

-- XVX FORGER START --

function creatureSayCallback(cid, type, msg)
    -- Place all your code in here. Remember that hi, bye and all that stuff is already handled by the npcsystem, so you do not have to take care of that yourself.
    if (not npcHandler:isFocused(cid)) then
        return false
    end

        if msgcontains(msg, 'bless') then
                npcHandler:say('Do you want bless your wooden stake?', cid)
                talk_state = 1
        elseif msgcontains(msg, 'yes') and talk_state == 1 then
			if getPlayerItemCount(cid,5941) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 5941, 1)
                    doPlayerAddItem(cid, 5942, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need a draconian steel and a obsidian lance.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'draconian steel') then
                npcHandler:say('Do you want to change a dragon shield for a piece of draconian steel?', cid)
                talk_state = 2
        elseif msgcontains(msg, 'yes') and talk_state == 2 then
            if getPlayerItemCount(cid, 2516) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2516, 1)
                    doPlayerAddItem(cid, 5889, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a dragon shield with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'hell steel') then
                npcHandler:say('Do you want to change a devil helmet for a piece of hell steel?', cid)
                talk_state = 3
        elseif msgcontains(msg, 'yes') and talk_state == 3 then
            if getPlayerItemCount(cid, 2462) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2462, 1)
                    doPlayerAddItem(cid, 5888, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a devil helmet with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'royal steel') then
                npcHandler:say('Do you want to change a crown armor for a piece of royal steel?', cid)
                talk_state = 4
        elseif msgcontains(msg, 'yes') and talk_state == 4 then
            if getPlayerItemCount(cid, 2487) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2487, 1)
                    doPlayerAddItem(cid, 5887, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a crown armor with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'crude iron') then
                npcHandler:say('Do you want to change a giant sword for a huge chunk of crude iron?', cid)
                talk_state = 5
        elseif msgcontains(msg, 'yes') and talk_state == 5 then
            if getPlayerItemCount(cid, 2393) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 2393, 1)
                    doPlayerAddItem(cid, 5892, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have a giant sword with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'infernal bolt') then
                npcHandler:say('Do you want to change soul orbs for infernal bolts?', cid)
                talk_state = 6
        elseif msgcontains(msg, 'yes') and talk_state == 6 then
            if getPlayerItemCount(cid, 5944) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerAddItem(cid, 6529, 2*getPlayerItemCount(cid,5944))
                    doPlayerRemoveItem(cid, 5944, getPlayerItemCount(cid,5944))
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have soul orbs with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'gear wheel') then
                npcHandler:say('Do you want to change an iron ore for a gear wheel?', cid)
                talk_state = 7
        elseif msgcontains(msg, 'yes') and talk_state == 7 then
            if getPlayerItemCount(cid, 5880) >= 1 then
                if doPlayerRemoveMoney(cid, price) == true then
                    npcHandler:say('Here you are.', cid)
                    doPlayerRemoveItem(cid, 5880, 1)
                    doPlayerAddItem(cid, 9690, 1)
                    talk_state = 0
                end
            else
                npcHandler:say('You need to have an iron ore with you.', cid)
                talk_state = 0
            end
        elseif msgcontains(msg, 'no') and (talk_state >= 1 and talk_state <= 7) then
            npcHandler:say('Ok thanks.', cid)
            talk_state = 0
        end
    -- Place all your code in here. Remember that hi, bye and all that stuff is already handled by the npcsystem, so you do not have to take care of that yourself.
    return true
end
npcHandler:setCallback(CALLBACK_MESSAGE_DEFAULT, creatureSayCallback)
npcHandler:addModule(FocusModule:new())