local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)

function onCreatureAppear(cid)			npcHandler:onCreatureAppear(cid)			end
function onCreatureDisappear(cid)		npcHandler:onCreatureDisappear(cid)			end
function onCreatureSay(cid, type, msg)	npcHandler:onCreatureSay(cid, type, msg)	end
function onThink()						npcHandler:onThink()						end

local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)


shopModule:addBuyableItem({'brown backpack'}, 1988, 20,1, 'brown backpack')
shopModule:addBuyableItem({'rope'}, 2120, 50,1, 'rope')
shopModule:addBuyableItem({'scythe'}, 2550, 50,1, 'scythe')
shopModule:addBuyableItem({'pick'}, 2553, 50,1, 'pick')
shopModule:addBuyableItem({'shovel'}, 2554, 50,1, 'shovel')
shopModule:addBuyableItem({'rust remover'}, 9930, 100,1, 'rust remover')

npcHandler:addModule(FocusModule:new())