-- Script 100% by Colandus
local levelReq = 50 -- Level needed to use the command.
local minChars = 5 -- How many characters may you write as minumum?
local basePrice = 5000 -- Base price, will be multiplied with the price made by a formula in the script.
 
-- Exhaustion Settings
local useExhaust = false
local storageValue = 53435
local exhaustTime = 1 * 60 -- 1 minute
 
--[[ Example:
You are level 100 and you are going to write a sentence of 45 characters with base price 1000.
1000 + (100 * 5) =
1000 + 500 = 1500
1500 * 45 = 67500
The message of 45 characters, broadcasted by a level 100 with the base price as 1000 would cost the player 67500 gold (67.5k),.
]]--
 
function onSay(cid, words, param)
			if exhaustion.check(cid, 10505) then
				return true
			end
    local letterPrice = basePrice + getPlayerLevel(cid) * 2
    local broadcastPrice = letterPrice * param:len()
    if getPlayerLevel(cid) < levelReq then
        doPlayerSendCancel(cid,"Sorry, you need to be atleast level " .. levelReq .. " to use this command.")
    elseif (useExhaust and isExhausted(cid, storageValue, exhaustTime) == TRUE) then
        doPlayerSendCancel(cid, "Sorry, you need to wait before broadcasting another message.")
    elseif param:len() < minChars then
        doPlayerSendCancel(cid,"Sorry, you need to enter atleast " .. minChars .. " characters. Each character will cost you " .. letterPrice .. " gold coins.")
    elseif doPlayerRemoveMoney(cid, broadcastPrice) == FALSE then
        doPlayerSendCancel(cid, "Sorry, you have not enough money. This message would have costed you " .. broadcastPrice .. " gold coins.")
    else
        doPlayerSendTextMessage(cid, 24, "Broadcast successfully sent. Your message contained " .. string.len(param) .. " characters and costed you " .. broadcastPrice .. " gold coins.")
        broadcastMessage(getPlayerName(cid) .. " [" .. getPlayerLevel(cid) .. "]: " .. param, MESSAGE_STATUS_WARNING)
		exhaustion.set(cid, 10505, 60)
        doPlayerSendTextMessage(cid, 25, "!broadcast \"" .. param)
    end
end