dofile("./_woe.lua")
--	dofile("./outfits.lua")


local config = {
	loginMessage = getConfigValue('loginMessage'),
	useFragHandler = getBooleanFromString(getConfigValue('useFragHandler'))
}



function onLogin(cid)
	--[[
	for storage, v in pairs(_outfits) do
		if (getPlayerStorageValue(cid, storage) == 1) then
			local tmp = _outfits[storage]
			for _, i in ipairs(tmp.outs) do
				doPlayerAddOutfit(cid, i, tmp.addon)
			end
		end
	end
]]
    if(InitHistory == 0) then
        local historyPage = addEvent(historyPage, 60000, {})
        InitHistory = historyPage
    end

Woe.getInfo()
local Guild_ID = getPlayerGuildId(cid)
if (Guild_ID == infoLua[2]) and (infoLua[2] ~= 0) then
	doPlayerSetExperienceRate(cid, 1.15)
	doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "Your guild has won the last War of Emperium, for that reason you have 15% extra experience.")
end

 if not isPremium(cid) and getPlayerStorageValue(cid, 1234) > 0 then
            doTeleportThing(cid, getTownTemplePosition(1), FALSE)
            doSendMagicEffect(getCreaturePosition(cid), CONST_ME_TELEPORT)
            doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_BLUE, "Your premium has expired and you lost some outfits, only if you are premium again, you will be able to use them!")
            setPlayerStorageValue(cid, 1234, -1)
            doPlayerSetTown(cid, 1)
            doCreatureChangeOutfit(cid, {lookType = 128, lookHead = 78, lookBody = 68, lookLegs = 39, lookFeet = 76, lookTypeEx = 0, lookAddons = 0})
      elseif isPremium(cid) and getPlayerStorageValue(cid, 1234) < 0 then
            setPlayerStorageValue(cid, 1234, 1)
      end

	local loss = getConfigValue('deathLostPercent')
	if(loss ~= nil) then
		doPlayerSetLossPercent(cid, PLAYERLOSS_EXPERIENCE, loss * 10)
	end

	local accountManager = getPlayerAccountManager(cid)
	if(accountManager == MANAGER_NONE) then
		local lastLogin, str = getPlayerLastLoginSaved(cid), config.loginMessage
		if(lastLogin > 0) then
			doPlayerSendTextMessage(cid, MESSAGE_STATUS_DEFAULT, str)
			str = "Your last visit was on " .. os.date("%a %b %d %X %Y", lastLogin) .. "."
		else
			str = str .. " Please choose your outfit."
			doPlayerSendOutfitWindow(cid)
		end

		doPlayerSendTextMessage(cid, MESSAGE_STATUS_DEFAULT, str)
	elseif(accountManager == MANAGER_NAMELOCK) then
		doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_ORANGE, "Hello, it appears that your character has been namelocked, what would you like as your new name?")
	elseif(accountManager == MANAGER_ACCOUNT) then
		doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_ORANGE, "Hello, type 'account' to manage your account and if you want to start over then type 'cancel'.")
	else
		doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_ORANGE, "Hello, type 'account' to create an account or type 'recover' to recover an account.")
	end

	if(not isPlayerGhost(cid)) then
		doSendMagicEffect(getCreaturePosition(cid), CONST_ME_TELEPORT)
	end

	registerCreatureEvent(cid, "Mail")
	registerCreatureEvent(cid, "PlayerKillStamina")
	registerCreatureEvent(cid, "PlayerKill")
	registerCreatureEvent(cid, "PlayerKillEvent")	
	registerCreatureEvent(cid, "GuildMotd")
	registerCreatureEvent(cid, "crash")
	registerCreatureEvent(cid, "prem")
	registerCreatureEvent(cid, "80")	
	registerCreatureEvent(cid, "pythiustherotten")
	registerCreatureEvent(cid, "demonOakLogout")
	registerCreatureEvent(cid, "demonOakDeath")
	registerCreatureEvent(cid, "KillingInTheNameOf")
	registerCreatureEvent(cid, "AdvanceSave")
	registerCreatureEvent(cid, "advance")
	registerCreatureEvent(cid, "Idle")
	if(config.useFragHandler) then
		registerCreatureEvent(cid, "SkullCheck")
	end

	registerCreatureEvent(cid, "ReportBug")

	return true
end

function historyPage(parameters)
    local historyPage = addEvent(historyPage, 60000, {})
    if (tonumber(os.date("%d")) ~= getGlobalStorageValue(23456)) then
        setGlobalStorageValue(23456, (tonumber(os.date("%d"))))
        db.executeQuery("UPDATE `players` SET `onlinetime7`=players.onlinetime6, `onlinetime6`=players.onlinetime5, `onlinetime5`=players.onlinetime4, `onlinetime4`=players.onlinetime3, `onlinetime3`=players.onlinetime2, `onlinetime2`=players.onlinetime1, `onlinetime1`=players.onlinetimetoday, `onlinetimetoday`=0;")
        db.executeQuery("UPDATE `players` SET `exphist7`=players.exphist6, `exphist6`=players.exphist5, `exphist5`=players.exphist4, `exphist4`=players.exphist3, `exphist3`=players.exphist2, `exphist2`=players.exphist1, `exphist1`=players.experience-players.exphist_lastexp, `exphist_lastexp`=players.experience;")
    end
    db.executeQuery("UPDATE `players` SET `onlinetimetoday`=players.onlinetimetoday+60, `onlinetimeall`=players.onlinetimeall+60 WHERE `online` = 1;")
end 
