dofile("./wars.lua")

function onLogin(cid)
	registerCreatureEvent(cid, "war")
	local guild = getPlayerGuildId(cid)
	if (guild == 0) then
		return true
	end
	local tmp = WarInfo(guild)
	if (tmp.War == 0) then
		return true
	end
	local arr = checkGuildsInThisWar(tmp.War)
	if (arr[1] == 1) then
		doGuildAddEnemy(guild, 0, tmp.War, 0)
		return true
	end
	for _, enemy in ipairs(arr[2]) do
		local temp = WarInfo(enemy)
		if (tmp.Team ~= temp.Team) then
			doGuildAddEnemy(guild, enemy, tmp.War, 1)
			doGuildAddEnemy(enemy, guild, tmp.War, 1)
		end
	end
	return true
end

function onKill(cid, target, lastHit)

	if not isPlayer(target) then
		return true
	end
	local myGuild, targetGuild = getPlayerGuildId(cid), getPlayerGuildId(target)
	if (myGuild == 0 or targetGuild == 0) then
		return true
	end
	local tmp = WarInfo(myGuild)
	if (tmp.War == 0) then
		return true
	end
	local arr = checkGuildsInThisWar(tmp.War)
	if not (isInArray(arr[2], targetGuild)) then
		return true
	end
	local temp = WarInfo(targetGuild)
	if (tmp.Team == temp.Team) then
		return true
	end
	addEvent(remFrag, 100, cid, getPlayerGUID(target), getCreatureSkullType(cid), getPlayerSkullEnd(cid))
	addEvent(registerDeath, 100, myGuild, targetGuild, getPlayerGUID(cid), getPlayerGUID(target))
	return true
end
