dofile("./_woe.lua")

local config = woe_config

local function EndWoe()
	Woe.getInfo()
		
	setGlobalStorageValue(stor.Started, 0)
	setGlobalStorageValue(stor.WoeTime, 0)
	
	Woe.expulsar(infoLua[2], Castle.salas.a.fromx, Castle.salas.a.tox, Castle.salas.a.fromy, Castle.salas.a.toy, Castle.salas.a.z, Castle._exit)
	Woe.expulsar(infoLua[2], Castle.salas.b.fromx, Castle.salas.b.tox, Castle.salas.b.fromy, Castle.salas.b.toy, Castle.salas.b.z, Castle._exit)
	Woe.expulsar(infoLua[2], Castle.salas.c.fromx, Castle.salas.c.tox, Castle.salas.c.fromy, Castle.salas.c.toy, Castle.salas.c.z, Castle._exit)
	
	doBroadcastMessage("WoE is finished", config.bcType)
	doBroadcastMessage("The castle " .. Castle.name .. " is owned by ".. Woe.guildName() ..".", config.bcType)
	
	if isCreature(getThingFromPos(Castle.empePos).uid) then
		doRemoveCreature(getThingFromPos(Castle.empePos).uid)
	end
	
	Woe.removePre()
	Woe.removePortals()
	
	doRemoveItem(getThingFromPos(Castle.desde).uid)
	doRemoveItem(getThingFromPos(Castle.desde1).uid)
	doRemoveItem(getThingFromPos(Castle.desde2).uid)
	doRemoveItem(getThingFromPos(Castle.desde3).uid)
	doRemoveItem(getThingFromPos(Castle.desde4).uid)
	doRemoveItem(getThingFromPos(Castle.desde5).uid)
	
	Woe.save()
	for _, i in ipairs(getPlayersOnline()) do
		if infoLua[2] == getPlayerGuildId(i) then
			if getPlayerLevel(i) >= 185 then 
				if Woe.isRegistered(i) then
					doPlayerAddItem(i, 2160, 20)
					doPlayerSendTextMessage(i, MESSAGE_STATUS_CONSOLE_RED, "Congratulations for winning WOE! All members of the guild over level 185+ have received 200,000 gps.")
				end
			end
		end
	end
	
	Woe.remove()
	setGlobalStorageValue(24503, -1)
end

function onThink(interval, lastExecution)
	Woe.getInfo()
	if Woe.isTime() then
		if not Woe.isStarted() then
			doSummonCreature("empe", Castle.empePos)
			doSummonCreature("pre1", Castle.PreEmpes[1])
			doSummonCreature("pre2", Castle.PreEmpes[2])
			doBroadcastMessage("War of Emperium has started...", config.bcType)
			setGlobalStorageValue(stor.Started, 1)
			Woe.updateInfo({os.time(), infoLua[2], infoLua[3], infoLua[4]})
			doCreateTeleport(1387, Castle.pos, Castle.desde)
			doCreateTeleport(1387, Castle.pos, Castle.desde1)
			doCreateTeleport(1387, Castle.pos, Castle.desde2)
			doCreateTeleport(1387, Castle.pos, Castle.desde3)
			doCreateTeleport(1387, Castle.pos, Castle.desde4)
			doCreateTeleport(1387, Castle.pos, Castle.desde5)
			addEvent(EndWoe, config.timeToEnd * 60 * 1000)
		end
	end
	return true
end 	