local tasks =
{
        [1] = {questStarted = 1510, questStorage = 65000, killsRequired = 100, raceName = "Trolls", rewards = {first = {enable = true, type = "exp", values = 10200}, second = {enable = true, type = "money", values = 10200}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [2] = {questStarted = 1511, questStorage = 65001, killsRequired = 150, raceName = "Goblins", rewards = {first = {enable = true, type = "exp", values = 10300}, second = {enable = true, type = "money", values = 10250}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [3] = {questStarted = 1512, questStorage = 65002, killsRequired = 300, raceName = "Rotworms", rewards = {first = {enable = true, type = "exp", values = 101000}, second = {enable = true, type = "money", values = 10400}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [4] = {questStarted = 1513, questStorage = 65003, killsRequired = 500, raceName = "Cyclops", rewards = {first = {enable = true, type = "exp", values = 103000}, second = {enable = true, type = "money", values = 10800}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [5] = {questStarted = 1514, questStorage = 65004, killsRequired = 300, raceName = "Crocodiles", rewards = {first = {enable = true, type = "exp", values = 10800}, second = {enable = true, type = "boss", values = THESNAPPER_POSITION}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [6] = {questStarted = 1515, questStorage = 65005, killsRequired = 300, raceName = "Tarantulas", rewards = {first = {enable = true, type = "exp", values = 101500}, second = {enable = true, type = "boss", values = HIDE_POSITION}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [7] = {questStarted = 1516, questStorage = 65006, killsRequired = 150, raceName = "Carniphilas", rewards = {first = {enable = true, type = "exp", values = 101500}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [8] = {questStarted = 1517, questStorage = 65007, killsRequired = 200, raceName = "Stone Golems", rewards = {first = {enable = true, type = "exp", values = 102000}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [9] = {questStarted = 1518, questStorage = 65008, killsRequired = 300, raceName = "Mammoths", rewards = {first = {enable = true, type = "exp", values = 104000}, second = {enable = true, type = "boss", values = THEBLOODTUSK_POSITION}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [10] = {questStarted = 1519, questStorage = 65009, killsRequired = 300, raceName = "Ice Golems", rewards = {first = {enable = true, type = "exp", values = 1015000}, second = {enable = true, type = "boss", values = SHARDHEAD_POSITION}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [11] = {questStarted = 1520, questStorage = 65010, killsRequired = 300, raceName = "Quaras Scout", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [12] = {questStarted = 1521, questStorage = 65011, killsRequired = 300, raceName = "Quaras", rewards = {first = {enable = true, type = "exp", values = 1012000}, second = {enable = true, type = "boss", values = THUL_POSITION}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [13] = {questStarted = 1522, questStorage = 65012, killsRequired = 70, raceName = "Water Elementals", rewards = {first = {enable = true, type = "exp", values = 107000}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [14] = {questStarted = 1523, questStorage = 65013, killsRequired = 70, raceName = "Earth Elementals", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [15] = {questStarted = 1524, questStorage = 65014, killsRequired = 70, raceName = "Energy Elementals", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [16] = {questStarted = 1525, questStorage = 65015, killsRequired = 70, raceName = "Fire Elementals", rewards = {first = {enable = true, type = "exp", values = 107000}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [17] = {questStarted = 1526, questStorage = 65016, killsRequired = 200, raceName = "Mutated Rats", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = true, type = "boss", values = ESMERALDA_POSITION}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [18] = {questStarted = 1527, questStorage = 65017, killsRequired = 500, raceName = "Giant Spiders", rewards = {first = {enable = true, type = "exp", values = 105000}, second = {enable = true, type = "boss", values = THEOLDWIDOW_POSITION}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [19] = {questStarted = 1528, questStorage = 65018, killsRequired = 2000, raceName = "Hydras", rewards = {first = {enable = true, type = "boss", values = THEMANY_POSITION}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [20] = {questStarted = 1529, questStorage = 65019, killsRequired = 2000, raceName = "Sea Serpents", rewards = {first = {enable = true, type = "boss", values = LEVIATHAN_POSITION}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [21] = {questStarted = 1530, questStorage = 65020, killsRequired = 2000, raceName = "Behemoths", rewards = {first = {enable = true, type = "boss", values = STONECRACKER_POSITION}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [22] = {questStarted = 1531, questStorage = 65021, killsRequired = 1500, raceName = "Serpents Spawn", rewards = {first = {enable = true, type = "teleport", values = THENOXIUSSPAWN_POSITION}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [23] = {questStarted = 1532, questStorage = 65022, killsRequired = 500, raceName = "Green Djinns", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = true, type = "money", values = 105000}, third = {enable = true, type = "boss", values = MERIKHTHESLAUGHTERER_POSITION}}},

        [24] = {questStarted = 1533, questStorage = 65023, killsRequired = 500, raceName = "Blue Djinns", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = true, type = "money", values = 105000}, third = {enable = true, type = "boss", values = FAHIMTHEWISE_POSITION}}},

        [25] = {questStarted = 1534, questStorage = 65024, killsRequired = 3000, raceName = "Pirates", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = true, type = "money", values = 105000}, third = {enable = true, type = "boss", values = RANDOMPIRATEBOSS_POSITION}}},

        [26] = {questStarted = 1535, questStorage = 65025, killsRequired = 3000, raceName = "Pirates", rewards = {first = {enable = true, type = "exp", values = 1010000}, second = {enable = true, type = "money", values = 105000}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [27] = {questStarted = 1536, questStorage = 65026, killsRequired = 5000, raceName = "Minotaurs", rewards = {first = {enable = true, type = "boss", values = THEHORNEDFOX_POSITION}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [28] = {questStarted = 1537, questStorage = 65027, killsRequired = 4000, raceName = "Magicians", rewards = {first = {enable = true, type = "boss", values = NECROPHARUS_POSITION}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [29] = {questStarted = 1538, questStorage = 65028, killsRequired = 1000, raceName = "Magicians", rewards = {first = {enable = true, type = "exp", values = 1040000}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}},

        [30] = {questStarted = 1539, questStorage = 65029, killsRequired = 6666, raceName = "Demons", rewards = {first = {enable = true, type = "storage", values = {65535, 1}}, second = {enable = false, type = nil, values = {nil, nil}}, third = {enable = false, type = nil, values = {nil, nil}}}}
}

local storage = 64521

local keywordHandler = KeywordHandler:new()
local npcHandler = NpcHandler:new(keywordHandler)
NpcSystem.parseParameters(npcHandler)
local talkState = {}
local voc = {}

function onCreatureAppear(cid)                          npcHandler:onCreatureAppear(cid)                        end
function onCreatureDisappear(cid)                       npcHandler:onCreatureDisappear(cid)                     end
function onCreatureSay(cid, type, msg)                  npcHandler:onCreatureSay(cid, type, msg)                end
function onThink()                                      npcHandler:onThink()                                    end

function creatureSayCallback(cid, type, msg)

        local s = getPlayerStorageValue(cid, storage)

        if(not npcHandler:isFocused(cid)) then
                return false
        end
        local talkUser = NPCHANDLER_CONVBEHAVIOR == CONVERSATION_PRIVATE and 0 or cid
        if msgcontains(msg, 'task') then

                if(s < 1) then
                        doPlayerSetStorageValue(cid, storage, 1)
                end

                if tasks[s] then
                        if(getPlayerStorageValue(cid, tasks[s].questStarted) < 1) then
                                if(getPlayerStorageValue(cid, tasks[s].creatureStorage) < 0) then
                                        doPlayerSetStorageValue(cid, tasks[s].creatureStorage, 0)
                                end

                                if(getPlayerStorageValue(cid, tasks[s].questStorage) < 0) then
                                        doPlayerSetStorageValue(cid, tasks[s].questStorage, 0)
                                end

                                doPlayerSetStorageValue(cid, tasks[s].questStarted, 1)
                                selfSay('You have started the task number ' .. getPlayerStorageValue(cid, storage) .. ', in this task you need to kill ' .. tasks[s].killsRequired .. ' ' .. tasks[s].raceName .. '.', cid)
                        else
                                selfSay('You are currently making task about ' .. tasks[s].raceName .. '.', cid)
                        end
                else
                        print("[Warning - Error::Killing in the name of::Tasks config] Something is wrong.")
                end

        elseif msgcontains(msg, 'report') then
                if tasks[s] and tasks[s].questStarted > 0 then
                        if(getPlayerStorageValue(cid, tasks[s].creatureStorage) < 0) then
                                doPlayerSetStorageValue(cid, tasks[s].creatureStorage, 0)
                        end

                        if(getPlayerStorageValue(cid, tasks[s].questStorage) < 0) then
                                doPlayerSetStorageValue(cid, tasks[s].questStorage, 0)
                        end

                        if(getPlayerStorageValue(cid, tasks[s].questStorage) >= tasks[s].killsRequired) then
                                selfSay('Great!... you have finished the task number ' .. s .. '. Good job.', cid)
                                doPlayerSetStorageValue(cid, storage, s + 1)
                                if(tasks[s].rewards.first.enable) then
                                        if(tasks[s].rewards.first.type == "boss") then
                                                doTeleportThing(cid, tasks[s].rewards.first.values)
                                        elseif(tasks[s].rewards.first.type == "exp") then
                                                doPlayerAddExperience(cid, (tasks[s].rewards.first.values)*5)
                                        elseif(tasks[s].rewards.first.type == "item") then
                                                doPlayerAddItem(cid, tasks[s].rewards.first.values[1], tasks[s].rewards.first.values[2])
                                        elseif(tasks[s].rewards.first.type == "money") then
                                                doPlayerAddMoney(cid, (tasks[s].rewards.first.values)*5)
                                        elseif(tasks[s].rewards.first.type == "storage") then
                                                doPlayerSetStorageValue(cid, tasks[s].rewards.first.values[1], tasks[s].rewards.first.values[2])
                                        end
                                end
                                if(tasks[s].rewards.second.enable) then
                                        if(tasks[s].rewards.second.type == "boss") then
                                                doTeleportThing(cid, tasks[s].rewards.second.values)
                                        elseif(tasks[s].rewards.second.type == "exp") then
                                                doPlayerAddExperience(cid, tasks[s].rewards.second.values)
                                        elseif(tasks[s].rewards.second.type == "item") then
                                                doPlayerAddItem(cid, tasks[s].rewards.second.values[1], tasks[s].rewards.second.values[2])
                                        elseif(tasks[s].rewards.second.type == "money") then
                                                doPlayerAddMoney(cid, tasks[s].rewards.second.values)
                                        elseif(tasks[s].rewards.second.type == "storage") then
                                                doPlayerSetStorageValue(cid, tasks[s].rewards.second.values[1], tasks[s].rewards.second.values[2])
                                        end
                                end
                                if(tasks[s].rewards.third.enable) then
                                        if(tasks[s].rewards.third.type == "boss") then
                                                doTeleportThing(cid, tasks[s].rewards.third.values)
                                        elseif(tasks[s].rewards.third.type == "exp") then
                                                doPlayerAddExperience(cid, tasks[s].rewards.third.values)
                                        elseif(tasks[s].rewards.third.type == "item") then
                                                doPlayerAddItem(cid, tasks[s].rewards.third.values[1], tasks[s].rewards.third.values[2])
                                        elseif(tasks[s].rewards.third.type == "money") then
                                                doPlayerAddMoney(cid, tasks[s].rewards.third.values)
                                        elseif(tasks[s].rewards.third.type == "storage") then
                                                doPlayerSetStorageValue(cid, tasks[s].rewards.third.values[1], tasks[s].rewards.third.values[2])
                                        end
                                end                           
                        else
                                selfSay('Current ' .. getPlayerStorageValue(cid, tasks[s].questStorage) .. ' ' .. tasks[s].raceName .. ' killed, you need to kill ' .. tasks[s].killsRequired .. '.', cid)
                        end
                else
                        selfSay('You do not have started any task.', cid)
                end
        end
        return true
end

local shopModule = ShopModule:new()
npcHandler:addModule(shopModule)

shopModule:addSellableItem({''}, 11207, 10, 'Acorn')
shopModule:addSellableItem({''}, 10548, 200, 'Ancient Stone')
shopModule:addSellableItem({''}, 11208, 50, 'Antlers')
shopModule:addSellableItem({''}, 11210, 15, 'Badger Fur')
shopModule:addSellableItem({''}, 10561, 190, 'Black Hood')
shopModule:addSellableItem({''}, 10549, 100, 'Bloody Pincers')
shopModule:addSellableItem({''}, 10583, 200, 'Boggy Dreads')
shopModule:addSellableItem({''}, 11315, 150, 'Bone Shoulderplate')
shopModule:addSellableItem({''}, 11188, 210, 'Bony Tail')
shopModule:addSellableItem({''}, 11231, 180, 'Book of Necromantic Rituals')
shopModule:addSellableItem({''}, 10562, 120, 'Book of Prayers')
shopModule:addSellableItem({''}, 10572, 180, 'Broken Gladiator Shield')
shopModule:addSellableItem({''}, 11329, 100, 'Broken Halberd')
shopModule:addSellableItem({''}, 10605, 30, 'Bunch of Troll Hair')
shopModule:addSellableItem({''}, 10604, 800, 'Bundle of Cursed Straw')
shopModule:addSellableItem({''}, 11211, 50, 'Carniphila Seeds')
shopModule:addSellableItem({''}, 11186, 35, 'Carrion Worm Fang')
shopModule:addSellableItem({''}, 11212, 28, 'Centipede Leg')
shopModule:addSellableItem({''}, 10550, 15, 'Cobra Tongue')
shopModule:addSellableItem({''}, 11213, 45, 'Compass')
shopModule:addSellableItem({''}, 11320, 700, 'Corrupted Flag')
shopModule:addSellableItem({''}, 11183, 35, 'Crab Pincers')
shopModule:addSellableItem({''}, 10554, 280, 'Cultish Mask')
shopModule:addSellableItem({''}, 10555, 150, 'Cultish Robe')

shopModule:addSellableItem({''}, 11321, 320, 'Cursed Shoulder Spikes')
shopModule:addSellableItem({''}, 10573, 55, 'Cyclops Toe')
shopModule:addSellableItem({''}, 11214, 48, 'Dark Rosary')
shopModule:addSellableItem({''}, 10563, 80, 'Demonic Skeletal Hand')
shopModule:addSellableItem({''}, 11355, 175, 'Dragon Priest\'s Wandtip')
shopModule:addSellableItem({''}, 11187, 150, 'Elder Beholder Tentacle')
shopModule:addSellableItem({''}, 10551, 45, 'Elvish Talisman')
shopModule:addSellableItem({''}, 11217, 360, 'Essence of a Bad Dream')
shopModule:addSellableItem({''}, 10552, 375, 'Fiery Heart')
shopModule:addSellableItem({''}, 10564, 30, 'Frosty Ear of a Troll')
shopModule:addSellableItem({''}, 10577, 280, 'Frosty Heart')
shopModule:addSellableItem({''}, 10574, 160, 'Frost Giant Pelt')
shopModule:addSellableItem({''}, 10565, 90, 'Gauze Bandage')
shopModule:addSellableItem({''}, 10571, 200, 'Gear Crystal')
shopModule:addSellableItem({''}, 11360, 700, 'Ghastly Dragon Head')
shopModule:addSellableItem({''}, 10606, 90, 'Ghostly Tissue')
shopModule:addSellableItem({''}, 11191, 380, 'Giant Eye')
shopModule:addSellableItem({''}, 11194, 55, 'Half-Digested Piece of Meat')
shopModule:addSellableItem({''}, 10575, 85, 'Half-Eaten Brain')
shopModule:addSellableItem({''}, 10599, 115, 'Haunted Piece of Wood')
shopModule:addSellableItem({''}, 10553, 500, 'Hellhound Slobber')
shopModule:addSellableItem({''}, 11215, 475, 'Hellspawn Tail')
shopModule:addSellableItem({''}, 11326, 550, 'High Guard Flag')
shopModule:addSellableItem({''}, 11327, 130, 'High Guard Shoulderplates')


shopModule:addSellableItem({''}, 11193, 600, 'Hydra Head')
shopModule:addSellableItem({''}, 11366, 80, 'Lancer Beetle Shell')
shopModule:addSellableItem({''}, 11328, 500, 'Legionnaire Flags')
shopModule:addSellableItem({''}, 10607, 60, 'Lion\'s Mane')
shopModule:addSellableItem({''}, 10608, 10, 'Lump of Dirt')
shopModule:addSellableItem({''}, 11216, 130, 'Lump of Earth')
shopModule:addSellableItem({''}, 11232, 100, 'Mammoth Tusk')
shopModule:addSellableItem({''}, 11209, 320, 'Metal Spike')
shopModule:addSellableItem({''}, 10578, 420, 'Mutated Bat Ear')
shopModule:addSellableItem({''}, 11219, 50, 'Mutated Flesh')
shopModule:addSellableItem({''}, 10584, 150, 'Mutated Rat Tail')
shopModule:addSellableItem({''}, 10576, 700, 'Mystical Hourglass')
shopModule:addSellableItem({''}, 11225, 75, 'Nettle Blossom')
shopModule:addSellableItem({''}, 11109, 150, 'Orc Tooth')
shopModule:addSellableItem({''}, 11331, 250, 'Petrified Scream')
shopModule:addSellableItem({''}, 11190, 15, 'Piece of Crocodile Leather')
shopModule:addSellableItem({''}, 10579, 420, 'Piece of Dead Brain')
shopModule:addSellableItem({''}, 10580, 550, 'Piece of Hellfire Armor')
shopModule:addSellableItem({''}, 10557, 45, 'Piece of Scarab Shell')
shopModule:addSellableItem({''}, 10609, 10, 'Pig Foot')
shopModule:addSellableItem({''}, 10556, 50, 'Poisonous Slime')
shopModule:addSellableItem({''}, 10566, 30, 'Polar Bear Paw')
shopModule:addSellableItem({''}, 11202, 30, 'Rotten Piece of Cloth')


shopModule:addSellableItem({''}, 11222, 400, 'Sabretooth')
shopModule:addSellableItem({''}, 11367, 20, 'Sandcrawler Shell')
shopModule:addSellableItem({''}, 10547, 280, 'Scarab Pincers')
shopModule:addSellableItem({''}, 10567, 25, 'Scorpion Tail')
shopModule:addSellableItem({''}, 11223, 450, 'Scythe Leg')
shopModule:addSellableItem({''}, 10582, 520, 'Sea Serpent Scale')
shopModule:addSellableItem({''}, 11318, 25, 'Shaggy Tail')
shopModule:addSellableItem({''}, 11221, 500, 'Shiny Stone')
shopModule:addSellableItem({''}, 11203, 35, 'Silky Fur')
shopModule:addSellableItem({''}, 11185, 50, 'Skunk Tail')
shopModule:addSellableItem({''}, 10610, 400, 'Snake Skin')
shopModule:addSellableItem({''}, 8859, 10, 'Spader Fangs')
shopModule:addSellableItem({''}, 11319, 100, 'Spiked Iron Ball')
shopModule:addSellableItem({''}, 10558, 95, 'Spooky Blue Eye')
shopModule:addSellableItem({''}, 11189, 120, 'Stone Wing')
shopModule:addSellableItem({''}, 11220, 600, 'Strand of Medusa Hair')
shopModule:addSellableItem({''}, 11204, 50, 'Striped Fur')
shopModule:addSellableItem({''}, 11226, 100, 'Sulphurous Stone')
shopModule:addSellableItem({''}, 10602, 20, 'Swamp Grass')
shopModule:addSellableItem({''}, 11192, 80, 'Tarantula Egg')
shopModule:addSellableItem({''}, 10600, 120, 'Tattered Piece of Robe')
shopModule:addSellableItem({''}, 11365, 60, 'Terramite Legs')
shopModule:addSellableItem({''}, 11363, 170, 'Terramite Shell')
shopModule:addSellableItem({''}, 11184, 95, 'Terrorbird Beak')
shopModule:addSellableItem({''}, 11218, 150, 'Thick Fur')

shopModule:addSellableItem({''}, 10559, 100, 'Thorn')
shopModule:addSellableItem({''}, 11361, 200, 'Undead Heart')
shopModule:addSellableItem({''}, 11227, 480, 'Unholy Bone')
shopModule:addSellableItem({''}, 10601, 275, 'Vampire Teeth')
shopModule:addSellableItem({''}, 10570, 460, 'War Crystal')
shopModule:addSellableItem({''}, 11316, 200, 'Warmaster\'s Wristguards')
shopModule:addSellableItem({''}, 11229, 30, 'Warwolf Fur')
shopModule:addSellableItem({''}, 11308, 250, 'Waver\'s Wantip')
shopModule:addSellableItem({''}, 11228, 380, 'Werewolf Fur')
shopModule:addSellableItem({''}, 11322, 110, 'Widow\'s Mandibles')
shopModule:addSellableItem({''}, 11224, 800, 'Winged Tails')
shopModule:addSellableItem({''}, 11206, 20, 'Winter Wolf Fur')
shopModule:addSellableItem({''}, 10568, 60, 'Witch Broom')
shopModule:addSellableItem({''}, 11230, 15, 'Wool')
shopModule:addSellableItem({''}, 10581, 400, 'Wyrm Scale')
shopModule:addSellableItem({''}, 10560, 265, 'Wyvern Talismans')
shopModule:addSellableItem({''}, 11325, 150, 'Zaogun\'s Shoulderplates')

shopModule:addSellableItem({''}, 7399, 10000, 'Dragon Lord Trophy')
shopModule:addSellableItem({''}, 7393, 40000, 'Demon Trophy')
shopModule:addSellableItem({''}, 7396, 20000, 'Behemoth Trophy')
shopModule:addSellableItem({''}, 7398, 500, 'Cyclops Trophy')
shopModule:addSellableItem({''}, 7401, 500, 'Minotaur Trophy')
shopModule:addSellableItem({''}, 7397, 3000, 'Deer Trophy')
shopModule:addSellableItem({''}, 7400, 3000, 'Lion Trophy')
shopModule:addSellableItem({''}, 7394, 3000, 'Wolf Trophy')
shopModule:addSellableItem({''}, 8971, 100, 'Gland')








npcHandler:setCallback(CALLBACK_MESSAGE_DEFAULT, creatureSayCallback)
npcHandler:addModule(FocusModule:new())