local FRASES = {"OFF!", "AWAY!", "J VOLTO!", "VOLTO J!", "AUSENTE!", "AFK!", "OFF-LINE!", "NO TO!", "ESPERA AI!"} -- Auto-Mensagens.
local TEMPO = 2 -- Intervalo de Tempo em segundos.
local say = {}

local function doSendAutoMessage(cid, pos, player)
    if (isCreature(cid) == TRUE) then
        npos = getThingPos(cid)
        if (pos.x == npos.x) and (pos.y == npos.y) and (pos.z == npos.z) and say[player] ~= nil then
            doSendAnimatedText(pos, FRASES[math.random(#FRASES)], math.random(01,255))
            doSendMagicEffect(pos, 2)
            say[player] = addEvent(doSendAutoMessage, TEMPO*1000, cid, npos, player)
        else
            say[player] = nil
            doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_ORANGE, "AFK System off!")
        end
    else
        say[player] = nil
    end
end

function onSay(cid, words, param)
    local player = getPlayerGUID(cid)
    if say[player] == nil then
        pos = getThingPos(cid)
        doSendAnimatedText(pos, FRASES[math.random(#FRASES)], math.random(01,255))
        doSendMagicEffect(pos, 2)
        doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_ORANGE, "AFK System on!")
        say[player] = addEvent(doSendAutoMessage, TEMPO*1000, cid, pos, player)
    else
        doPlayerSendCancel(cid, "AFK j est ligado!")
    end
    return TRUE
end