function onSay(cid, words, param)
	local onlineMembers = {}
	local playerGuild = getPlayerGuildId(cid)
	
	if playerGuild == 0 then
		return TRUE
	end

	for _, name in ipairs(getOnlinePlayers()) do
		if getPlayerGuildId(getPlayerByName(name)) == playerGuild then
			table.insert(onlineMembers, name)
		end
	end

	if #onlineMembers == 0 then
		doPlayerSendTextMessage(cid, 24, "No hay ningun miembro online.")
	else
		local playersOnline = #onlineMembers
		local tmp = ""
		if(playersOnline > 1) then
			local tmp = "(s)"
		end

		local header = playersOnline .. " player" .. tmp .. " de tu Guild" 
		local str = ""
		for i, string in ipairs(onlineMembers) do
			str = str.. string .. "\n"
		end
		doPlayerPopupFYI(cid, header .. ".\n " .. str)
	end
	return LUA_NO_ERROR
end
