local default_jail = 180 * 60
local jailedstoragevalue_time = 22338
local jailpos = {x = 32094, y = 32176 , z =7}
local unjailpos = {x = 32351, y = 32241, z =13}
local jail_list = {}
local jail_list_work = false

function checkJailList()
	for k, cid in ipairs(jail_list) do
		if isPlayer(cid) then
			if (getPlayerStorageValue(cid, jailedstoragevalue_time) < os.time()) then
				doTeleportThing(cid, unjailpos)
				setPlayerStorageValue(cid, jailedstoragevalue_time, 0)
				table.remove(jail_list, k)
				doPlayerSendTextMessage(cid, MESSAGE_STATUS_CONSOLE_ORANGE, 'Cumpliste tu condena y ahora eres libre.')
			end
		end
	end
	addEvent(checkJailList, 1000)
end

function onSay(cid, words, param)

	if not jail_list_work then
		addEvent(checkJailList, 1000)
		jail_list_work = true
	end
	
	if (words == '!unjail' or words == '/unjail') then
		if (getPlayerStorageValue(cid, jailedstoragevalue_time) > os.time()) then
			doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, 'Estas encarcelado hasta ' .. os.date("%H:%M:%S", getPlayerStorageValue(cid, jailedstoragevalue_time)) .. ' (now is: ' .. os.date("%H:%M:%S", os.time()) .. ').')
		end
	elseif (words == '!jail' or words == '/jail') then
		local expl = param:explode(',')
		local player, Time = expl[1], tonumber(expl[2])
		
		local target = getPlayerByNameWildcard(player)
		
		if not isPlayer(target) then
			return doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, "no player.")
		end
		
		if not Time then
			Time = default_jail
		end
		
		doTeleportThing(target, jailpos)
		table.insert(jail_list, target)
		setPlayerStorageValue(target, jailedstoragevalue_time, os.time() + Time)
		
		doPlayerSendTextMessage(cid, MESSAGE_INFO_DESCR, 'Encarcelaste a '.. getCreatureName(target) ..' hasta las ' .. os.date("%H:%M:%S", getPlayerStorageValue(target, jailedstoragevalue_time)) .. ' (now is: ' .. os.date("%H:%M:%S", os.time()) .. ').')
		doPlayerSendTextMessage(target, MESSAGE_INFO_DESCR, 'Te encarcelo '.. getCreatureName(cid) ..' hasta ' .. os.date("%H:%M:%S", getPlayerStorageValue(target, jailedstoragevalue_time)) .. ' (now is: ' .. os.date("%H:%M:%S", os.time()) .. ').')
	end
	return true
end 
