dofile("./wars.lua")

function onSay(cid, words, param)
	local playerGuild = getPlayerGuildId(cid)
	if playerGuild > 0 then
		local playerGuildLevel = getPlayerGuildLevel(cid)
		if playerGuildLevel >= GUILDLEVEL_VICE then
		
			local guilds = {}
		
			table.insert(guilds, playerGuild)
			
			local tmp = WarInfo(playerGuild)
			if (tmp.War ~= 0) then
				local arr = checkGuildsInThisWar(tmp.War)
				for _, v in ipairs(arr[2]) do
					if (v ~= playerGuild) then
						local t = WarInfo(v)
						if (t.Team == tmp.Team) then
							table.insert(guilds, v)
						end
					end
				end
			end
			
			local players = getOnlinePlayers()
			local message = "*Guild* " .. getCreatureName(cid) .. " [" .. getPlayerLevel(cid) .. "]:\n" .. param;
			for i,playerName in ipairs(players) do
				local player = getPlayerByName(playerName);
				if (isInArray(guilds, getPlayerGuildId(player))) then
					doPlayerSendTextMessage(player, MESSAGE_STATUS_WARNING, message);
				end
			end
			doPlayerSendCancel(cid, "Message sent to whole guild.");
		else
			doPlayerSendCancel(cid, "You have to be at least Vice-Leader to guildcast!");
		end
	else
		doPlayerSendCancel(cid, "Sorry, you're not in a guild.");
	end
	doPlayerSendTextMessage(cid, 25, words)
	return FALSE
end
